{ config, pkgs, lib, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  boot.initrd.luks = {
    devices.lvm = {
      device = "/dev/disk/by-uuid/f7059f75-764d-4cd1-9da7-7c64b05bff38";
      bypassWorkqueues = true;
    };
  };

  networking.hostName = "krypton";

  security.sudo.wheelNeedsPassword = true;

  system.stateVersion = "23.05";
}

